
Redmine - Defect #15344

Default status always inserted to allowed statuses when changing status 

2013-11-13 14:39 - eyal R

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version: 2.3.4   

Resolution: Fixed Affected version: 2.3.3

Description

In IssuesController  , "build_new_issue_from_params" method is called when status is changed. (set in before_filter for update_form

action)

build_new_issue_from_params has the following line:

@allowed_statuses = @issue.new_statuses_allowed_to(User.current, true)

 the second parameter , being always true , causes IssueStatus.default to be pushed to the allowed_statuses.

I think this is a bug.

Associated revisions

Revision 12277 - 2013-11-15 20:59 - Jean-Philippe Lang

Fixed that update_form always proposes the default status when updating an existing issue (#15344).

Revision 12279 - 2013-11-15 21:32 - Jean-Philippe Lang

Merged r12277 (#15344).

Revision 12280 - 2013-11-15 21:33 - Jean-Philippe Lang

Merged r12277 (#15344).

History

#1 - 2013-11-15 21:00 - Jean-Philippe Lang

- Category set to Issues workflow

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.3.4

- Resolution set to Fixed

You're right, default status should be proposed for new issues only. It's fixed in r12277.

#2 - 2013-11-15 21:32 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
